<?xml version="1.0" encoding="ISO-8859-1"?>
<!--    Lab 7 Solution 1
    Author: Myron Papadakis, Transformation Services Laboratory 
-->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <body>
                <h2>My favourite pets (Solution 1)</h2>
                <table border="1">
                    <tr bgcolor="#9acd32">
                        <th>Id</th>
                        <th>Name</th>
                        <th>Age </th>
                        <th>Type</th>
                        <th>Color</th>
                    </tr>
                    <xsl:apply-templates select="pets/pet">
                        <xsl:sort select="age" data-type="number" order="descending"></xsl:sort>
                    </xsl:apply-templates>    
                    
                </table>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="pet">
        <tr>
            <td><xsl:apply-templates select="@id"></xsl:apply-templates></td>
            <td><xsl:apply-templates select="name"></xsl:apply-templates></td>  
            <td><xsl:apply-templates select="age"></xsl:apply-templates></td>
            <td><xsl:apply-templates select="type"></xsl:apply-templates></td>
            <td><xsl:apply-templates select="color"></xsl:apply-templates></td>
        </tr>
    </xsl:template>
    
    <!-- In this case we can use either the value of the current node (.) or apply
        the default template -->
        <xsl:template match="@id"><td><xsl:value-of select="."></xsl:value-of></td></xsl:template>
        <xsl:template match="name"><td><xsl:apply-templates></xsl:apply-templates></td></xsl:template>
        <xsl:template match="age"><td><xsl:copy-of select="." /></td></xsl:template>
        <xsl:template match="type"><td><xsl:value-of select="." /></td></xsl:template>
        <xsl:template match="color"><td><xsl:value-of select="." /></td></xsl:template>
   
</xsl:stylesheet>